Name:           ompl
Version:        0.9.5
Release:        1%{?dist}
Summary:        The Open Motion Planning Library

Group:          System Environment/Libraries
License:        BSD
URL:            http://ompl.kavrakilab.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-Source.tar.gz
# This patch adds LIB_SUFFIX to the library installation directory, so that
# libraries get installed to /usr/lib64 on 64 bit systems.
# Not yet submitted upstream
Patch0:         ompl-0.9.3.fixinstall.patch

BuildRequires:  boost-devel >= 1.42.0
BuildRequires:  cmake >= 2.8.2
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  ode-devel
BuildRequires:  python
BuildRequires:  ruby

%description
The Open Motion Planning Library (OMPL) consists of many state-of-the-art 
sampling-based motion planning algorithms. OMPL itself does not contain 
any code related to, e.g., collision checking or visualization. This is 
a deliberate design choice, so that OMPL is not tied to a particular 
collision checker or visualization front end.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}-Source
%patch0 -p0 -b .fixinstalldir

%build
# Python bindings are disabled because dependencies pygccxml and pyplusplus are not packaged for Fedora
%cmake -DCMAKE_SKIP_RPATH=ON -DOMPL_BUILD_PYBINDINGS=OFF -DBOOST_LIBRARYDIR=%{_libdir} -DODE_LIB_PATH=%{_libdir}
make %{?_smp_mflags}
make doc
rm -f doc/html/installdox

%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_datadir}/%{name}/demos/*.py
rm -rf %{buildroot}%{_includedir}/%{name}/CMakeFiles


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README.txt
%{_libdir}/libompl.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_libdir}/libompl.so
%{_includedir}/%{name}
%{_datadir}/%{name}


%changelog
* Sun Oct 9 2011 Rich Mattes <richmattes@gmail.com> - 0.9.5-1
- Update to release 0.9.5

* Thu Jul 21 2011 Rich Mattes <richmattes@gmail.com> - 0.9.3-2
- Add python build requirement

* Sun May 15 2011 Rich Mattes <richmattes@gmail.com> - 0.9.3-1
- Update to 0.9.3
- Remove upstreamed patches

* Sun Apr 24 2011 Rich Mattes <richmattes@gmail.com> - 0.9.2-2
- Add patch to fix missing soname
- Removed CMakeFiles being installed in the includedir
- Fixed download directory

* Sun Jan 23 2011 Rich Mattes <richmattes@gmail.com> - 0.9.2-1
- Initial Package
